Index: CONFIG/UNIFORM/v6/IPSLCM6/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2223)
+++ CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2224)
@@ -16,10 +16,10 @@
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2LIM3xLMD9695-L39 : libioipsl oasis3 liborchidee xios orca2lim3 lmdz96x95x39 verif
+ORCA2LIM3xLMD9695-L39 : libioipsl oasis3-mct liborchidee xios orca2lim3 lmdz96x95x39 verif
 	echo "ORCA2LIM3xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2LIM2xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee xios orca2lim2nopisces lmdz96x95x39 verif
+ORCA2LIM2xLMD9695-L39-NOPISCES : libioipsl oasis3-mct liborchidee xios orca2lim2nopisces lmdz96x95x39 verif
 	echo "ORCA2LIM2xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
@@ -27,17 +27,21 @@
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2LIM3xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee xios orca2lim3nopisces lmdz96x95x39 verif
-	echo "ORCA2LIM3xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "NOPISCES" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA2LIM2xLMD144142-L39 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz144x142x39 verif
+ORCA2LIM2xLMD144142-L39 : libioipsl oasis3-mct liborchidee xios orca2lim2 lmdz144x142x39 verif
 	echo "ORCA2LIM2xLMD144142-L39" >.resol
 	echo "RESOL_ATM_3D=144x142x39" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2LIM3xLMD144142-L39 : libioipsl oasis3 liborchidee xios orca2lim3 lmdz144x142x39 verif
+ORCA2LIM3xLMD144142-L39 : libioipsl oasis3-mct liborchidee xios orca2lim3 lmdz144x142x39 verif
 	echo "ORCA2LIM3xLMD144142-L39" >.resol
+	echo "RESOL_ATM_3D=144x142x39" >>.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA1LIM3xLMD9695-L39 : libioipsl oasis3-mct liborchidee xios orca1lim3 lmdz96x95x39 verif
+	echo "ORCA1LIM3xLMD9695-L39" >.resol
+	echo "RESOL_ATM_3D=96x95x39" >>.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA1LIM3xLMD144142-L39 : libioipsl oasis3-mct liborchidee xios orca1lim3 lmdz144x142x39 verif
+	echo "ORCA1LIM3xLMD144142-L39" >.resol
 	echo "RESOL_ATM_3D=144x142x39" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
@@ -60,20 +64,20 @@
 lmdz: ../../modeles/LMDZ
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -c OMCT -job 8 -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_$(RESOL_LMDZ)_phylmd_para_orch_couple.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -c OMCT -job 8 -arch $(FCM_ARCH) gcm ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
 
 xios: ../../modeles/XIOS
 	(cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod --use_oasis oasis3_mct --job 8 ; cp bin/xios_server.exe ../../bin/. ; )
 
-orca2lim2: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_coupled key_oasis3 key_diahth key_oasis_mct key_diaar5" del_key "key_nosignedzero" ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+orca2lim2:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_coupled key_oasis_mct key_diahth key_diaar5" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
-orca2lim3: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_coupled key_oasis3 key_diahth key_oasis_mct key_diaar5" del_key "key_nosignedzero" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+orca2lim2nopisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_coupled key_oasis_mct key_diahth key_diaar5" del_key "key_nosignedzero" ; cp ORCA2_LIM/BLD/bin/nemo.exe ../../../bin/opa ; )
 
-orca2lim2nopisces: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_coupled key_oasis3 key_diahth key_oasis_mct key_diaar5" del_key "key_nosignedzero" ; cp ORCA2_LIM/BLD/bin/nemo.exe ../../../bin/opa ; )
+orca2lim3:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_coupled key_oasis_mct key_lim3 key_diahth key_diaar5" del_key "key_lim2 key_lim2_vp key_nosignedzero" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
-orca2lim3nopisces: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3 -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_coupled key_oasis3 key_diahth key_oasis_mct key_diaar5" del_key "key_nosignedzero" ; cp ORCA2_LIM3/BLD/bin/nemo.exe ../../../bin/opa ; )
+orca1lim3: ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_vvl key_coupled key_diahth key_oasis_mct key_lim3 key_diaar5" del_key "key_lim2 key_lim2_vp key_nosignedzero" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 verif: ../../bin
@@ -105,2 +109,3 @@
 	( cd ../../modeles/IOIPSL ; make clean )
 	( cd $(BINDIR) ; rm -f calendar.mod  defprec.mod  errioipsl.mod  flincom.mod  fliocom.mod  getincom.mod  histcom.mod  ioipsl.mod  libioipsl.a	mathelp.mod  restcom.mod  stringop.mod )	
+