Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2231)
@@ -144,5 +144,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2231)
@@ -138,5 +138,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2231)
@@ -144,5 +144,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2231)
@@ -138,5 +138,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2231)
@@ -144,5 +144,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2231)
@@ -138,5 +138,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2231)
@@ -144,5 +144,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2231)
@@ -138,5 +138,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2231)
@@ -144,5 +144,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5.2/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2231)
@@ -138,5 +138,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2231)
@@ -144,5 +144,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2231)
@@ -138,5 +138,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]
Index: CONFIG/UNIFORM/v5/LMDZ_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZ_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2230)
+++ CONFIG/UNIFORM/v5/LMDZ_v5/EXPERIMENTS/LMDZ/clim/COMP/lmdz.card	(revision 2231)
@@ -131,5 +131,5 @@
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
 ChunckJob3D = 100Y
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1M_dynzon]