Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2237)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2238)
@@ -90,5 +90,17 @@
 	(${SUBMIT_DIR}/PARAM/guide.def, .), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
-	(${SUBMIT_DIR}/PARAM/traceur.def, .)
+	(${SUBMIT_DIR}/PARAM/traceur.def, .), \
+	(${SUBMIT_DIR}/PARAM/iodef.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . )            ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . )          ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, . )    ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, . )   ,\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, . ),\
+	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, . )
 
 [RestartFiles]
@@ -97,5 +109,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
+List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def, iodef.xml, context_lmdz.xml,field_def_lmdz.xml)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2237)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2238)
@@ -27,5 +27,8 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)
 
 [RestartFiles]
@@ -34,5 +37,5 @@
 
 [OutputText]
-List=   (out_orchidee, orchidee.def)
+List=   (out_orchidee, orchidee.def, iodef.xml, context_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 2237)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/lmdz.driver	(revision 2238)
@@ -497,4 +497,14 @@
 	fi
     fi
+
+    # Add include of LMDZ context in iodef.xml
+    # In iodef.xml add on next line after "COMPONENT CONTEXT"
+    #  <context id="LMDZ" src="./context_lmdz.xml"/>
+    echo '<context id="LMDZ" src="./context_lmdz.xml"/>' > add.tmp
+    cp iodef.xml iodef.xml.tmp
+    sed -e "/COMPONENT CONTEXT/r add.tmp" \
+	iodef.xml.tmp > iodef.xml
+    rm iodef.xml.tmp add.tmp
+
 
     IGCM_debug_PopStack "ATM_Update"
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2237)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 2238)
@@ -130,4 +130,14 @@
 
 
+    # Add include of orchidee context in iodef.xml
+    # In iodef.xml add on next line after "COMPONENT CONTEXT"
+    #  <context id="orchidee" src="./context_orchidee.xml"/>
+    echo '<context id="orchidee" src="./context_orchidee.xml"/>' > add.tmp
+    cp iodef.xml iodef.xml.tmp
+    sed -e "/COMPONENT CONTEXT/r add.tmp" \
+	iodef.xml.tmp > iodef.xml
+    rm iodef.xml.tmp add.tmp
+
+
     IGCM_debug_PopStack "SRF_Update"
 }
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/iodef.xml
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/iodef.xml	(revision 2238)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/iodef.xml	(revision 2238)
@@ -0,0 +1,31 @@
+i<?xml version="1.0"?>
+<!-- =========================================================================================================== -->
+<!-- iodef.xml : Configuration file for production of output files using XIOS                                    -->
+<!--             This file contains the context XIOS.                                                            -->
+<!--             The model components context will be add automatically by the comp.driver                       -->
+<!-- =========================================================================================================== -->
+
+<simulation>
+
+  <!-- =========================================================================================================== -->
+  <!-- XIOS context                                                                                                -->
+  <!-- =========================================================================================================== -->
+  <context id="xios">
+    <variable_definition>
+      <variable_group id="buffer">
+            buffer_size = 80000000
+            buffer_server_factor_size = 2
+         </variable_group>
+      <variable_group id="parameters">
+        <variable id="using_server" type="boolean">false</variable>
+        <variable id="info_level" type="int">0</variable>
+      </variable_group>
+    </variable_definition>
+  </context>
+
+
+  <!-- =========================================================================================================== -->
+  <!-- COMPONENT CONTEXT : the model components context will be add automatically by the comp.driver               -->
+
+
+</simulation>
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2237)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2238)
@@ -891,3 +891,6 @@
 # default = n
 
-#**************************************************************************
+# Use XIOS for writing diagnostics file
+# defulat = n
+XIOS_ORCHIDEE_OK=y
+#**************************************************************************
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2237)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2238)
@@ -891,3 +891,6 @@
 # default = n
 
-#**************************************************************************
+# Use XIOS for writing diagnostics file
+# defulat = n
+XIOS_ORCHIDEE_OK=y
+#**************************************************************************