Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x59
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x59	(revision 2255)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/gcm.def_144x142x59	(revision 2255)
@@ -0,0 +1,58 @@
+## $Id$
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=960
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=1
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=4800.
+###tetagdiv=900.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=5400.
+###tetagrot=900.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=5400.
+###tetatemp=900.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique                                                 
+physic=y
+## periode de la physique (en pas)                                       
+## iphysiq est modifie pour la nouvelle physique par le lmdz.driver pour les autres cas le valeur par defaut est utilise
+iphysiq=5 : DEFAULT = 5
+##  Avec ou sans strato
+ok_strato=y
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=2
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=10.e-5
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
+dissip_period=5
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD144142
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 2255)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 2255)
@@ -0,0 +1,459 @@
+###############################################################################
+#
+#      Input file for OASIS3
+# 
+#      This version is for use with IPSL_CM4_v1 
+#
+#      The file will be edited at runtime to update it for
+#         - the initial date of the run
+#
+###############################################################################
+#  
+#      Input delimiters have to occupy position 1 to 9 !
+#      No blank lines allowed !
+#      Length of input lines <= 80 !
+#
+###############################################################################
+#
+# NFIELDS : total number of fields being exchanged.
+#
+ $NFIELDS
+            25
+ $END
+###############################################################################
+#
+# NBMODEL : number of models and their names (CHAR*6).
+#
+ $NBMODEL
+  2  lmdz.x oceanx
+ $END
+###############################################################################
+# 
+# RUNTIME: total simulated time for the actual run in seconds (<I8)
+#
+ $RUNTIME
+  <total_time>
+ $END
+###############################################################################
+#
+# NLOGPRT: printing level in debug file : 
+#
+ $NLOGPRT
+   2
+ $END
+# 
+###############################################################################
+ $STRINGS
+###############################################################################
+#
+#                      OCEAN  --->>>  ATMOS
+#                      --------------------
+# Field 1 : Weighted sea surface temperature (o->a 1)
+# 
+O_SSTSST  SISUTESW 1 <freq_coupling>  4  sstoc.nc  <output_mode> 
+torc  tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS CHECKIN MAPPING CHECKOUT
+# LOCTRANS: AVERAGE to average value over coupling period
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
+#         number of overlapped neighbors
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+# Field 2 : Sea ice extent  (o->a 2)
+#
+OIceFrc SIICECOV 44 <freq_coupling>  4  sstoc.nc <output_mode>
+torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+#
+LOCTRANS CHECKIN MAPPING  CHECKOUT 
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#
+############################################################################
+#
+# Field 3 : Weighted Sea Ice Temperature (o->a 3)
+#
+O_TepIce  SIICTEMW 34 <freq_coupling>  4  sstoc.nc  <output_mode>
+torc  tlmd   LAG=<lag_oce>
+P  2 P  0
+LOCTRANS CHECKIN MAPPING CHECKOUT
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# 
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+# Field 4 : Weighted Sea ice albedo (o->a 4)
+#
+O_AlbIce  SIICEALW 17 <freq_coupling>  4  sstoc.nc  <output_mode>
+torc  tlmd  LAG=<lag_oce>  
+P  2 P  0
+#
+LOCTRANS CHECKIN MAPPING CHECKOUT
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#
+############################################################################
+#
+# Field 5 : Current surface (o->a 5)
+O_OCurx1 CURRENTX 321 <freq_coupling>  4  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS CHECKIN MAPPING CHECKOUT
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1  
+#
+#
+############################################################################
+#
+# Field 6 : Current surface (o->a 6)
+O_OCury1 CURRENTY 321 <freq_coupling>  4  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS CHECKIN MAPPING CHECKOUT
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#  
+############################################################################
+#
+# Field 7 : Current surface (o->a 7)
+O_OCurz1 CURRENTZ 321 <freq_coupling>  4  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS CHECKIN MAPPING CHECKOUT
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#
+############################################################################
+#
+#                      ATMOSPHERE  --->>>  OCEAN
+#                      -------------------------
+############################################################################   
+#
+# Field 8 : wind stress along X axis (a->o 1)
+#
+COTAUXXU O_OTaux1 23 <freq_coupling>  3  flxat.nc   <output_mode>
+tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN SCRIPR CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+# Field 9 : stress along Y axis (a->o 2)
+#
+COTAUYYU O_OTauy1 23 <freq_coupling>  3  flxat.nc  <output_mode>
+tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN SCRIPR CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+# Field 10 :wind stress along Z axis (a->o 3)
+#
+COTAUZZU O_OTauz1 23 <freq_coupling>  3  flxat.nc  <output_mode>
+tlmd    uorc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN SCRIPR CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 11 : wind stress along X axis 2 (a->o 4)
+#
+COTAUXXV O_OTaux2  24 <freq_coupling>  3    flxat.nc  <output_mode>
+tlmd    vorc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN SCRIPR CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 12 : wind stress along Y axis 2 (a->o 5) 
+#
+COTAUYYV O_OTauy2  24 <freq_coupling>  3    flxat.nc  <output_mode>
+tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+CHECKIN SCRIPR CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 13 :  wind stress along Z axis 2 (a->o 6) 
+#
+COTAUZZV O_OTauz2  24 <freq_coupling>  3    flxat.nc  <output_mode>
+tlmd    vorc  LAG=<lag_atm>
+P  0 P  2
+CHECKIN SCRIPR CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+# Field 14 :  wind speed 10m (a->o 7) 
+#
+COWINDSP O_Wind10  56 <freq_coupling>  3    flxat.nc  <output_mode>
+tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+CHECKIN SCRIPR CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+BILINEAR LR SCALAR LATLON 10
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+# 
+#########################################################################
+#
+# Field 15 : Total rain (a->o 8)
+#
+COTOTRAI OTotRain 26 <freq_coupling>  3   flxat.nc   <output_mode>
+tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 16 :  Total snow (a->o 9)
+#
+COTOTSNO  OTotSnow 28 <freq_coupling>  3   flxat.nc   <output_mode>
+tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 17 : Total evap (a->o 10)
+#
+COTOTEVA  OTotEvap 25 <freq_coupling>  3   flxat.nc   <output_mode>
+tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 18 : Evaporation Ice  (a->o 11)
+#
+COICEVAP OIceEvap 41 <freq_coupling>  3   flxat.nc   <output_mode>
+tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 19 : Total solar heat flux (a->o 12)
+#
+COQSRMIX O_QsrMix  7 <freq_coupling> 3   flxat.nc  <output_mode>
+tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 20 : Total Non solar heat flux (a->o 13)
+#
+COQNSMIX O_QnsMix 6 <freq_coupling>  3   flxat.nc  <output_mode>
+tlmd    torc   LAG=<lag_atm>
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+# Field 21 : solar heat flux on ice (a->o 14)
+#
+COSHFICE O_QsrIce  7 <freq_coupling> 3   flxat.nc  <output_mode>
+tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method or mozaic parameters
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+# Field 22 : Non solar heat flux on ice (a->o 15)
+#
+CONSFICE O_QnsIce 6 <freq_coupling>  3  flxat.nc  <output_mode>
+tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+# Field 23 : Non solar heat flux derivative (a->o 16)
+#
+CODFLXDT O_dQnsdT  35 <freq_coupling>  3   flxat.nc  <output_mode>
+tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 24 : iceberg calving (a->o 17)
+#
+COCALVIN OCalving  36 <freq_coupling>  3  flxat.nc  <output_mode>
+tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN MAPPING CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+rmp_tlmd_to_torc_MOSAIC_calvin.nc src
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 25 : liquid run-off (river + direct)  (a->o 18)
+#
+COLIQRUN  O_Runoff 32 <freq_coupling>  5  flxat.nc   <output_mode>
+aone    otot  LAG=<lag_atm> 
+P  0 P  2
+CHECKIN MAPPING CONSERV BLASNEW CHECKOUT
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+# weights convert from kg/s to kg/m^2/s
+rmp_tlmd_to_torc_MOSAIC_rivflu.nc src
+# CONSERV
+GLOBAL bfb
+# change units from m/s to kg/s
+1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+# Field 26 : wind stress module (a->o 19)
+#
+##COTAUMOD  O_TauMod 466 <freq_coupling>  6   flxat.nc   <output_mode>
+##tlmd    torc  LAG=<lag_atm> 
+##P  0 P  2
+##INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+##NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+## INT=1
+# Mask value
+##888888.
+# Extrapolation method
+##NINENN 2 1 1
+# Interpolation method
+##BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+## INT=1
+#
+#########################################################################
+#
+ $END
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/physiq.def_L59_NPv4.12
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/physiq.def_L59_NPv4.12	(revision 2255)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/physiq.def_L59_NPv4.12	(revision 2255)
@@ -0,0 +1,145 @@
+##############################################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################################
+# D: Valeur par default
+#
+#Parametres Orographiques et cdrags
+#**********************************
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+#Cdrags 
+f_cdrag_stable=1.
+f_cdrag_ter=1.
+f_cdrag_oce=0.7
+#cdmmax
+cdmmax=2.5E-3
+#cdhmax
+cdhmax=2.0E-3
+##  Orodr  ou  non   pour l orographie
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+#Rugoro
+f_rugoro=0.
+#
+# Rayonnement
+#*********************
+# activation du nouveau code de rayonnement RRTM
+# 0 : Ancien code et 1 : RRTM (D=0)
+iflag_rrtm=0
+#
+# Parametres nuages
+#******************
+#seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=0.000192
+cld_lc_con=0.000192
+#constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
+cld_tau_lsc=1800.
+cld_tau_con=1800.
+#facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=0.9504
+ffallv_con=0.9504
+#coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+coef_eva=1e-5
+reevap_ice=y
+#calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cldcon=6
+fact_cldcon=1.
+facttemps=0.
+#calcul eau condensee et fraction nuageuse a partir des PDF (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+#calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+iflag_ratqs=4
+ratqsbas=0.002
+ratqshaut=0.24
+#rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+#rayons effectifs pour les nuages eau liq (tailles des gouttes d eau nuageuse, D: 13 9)
+rad_chau1=12
+rad_chau2=11
+##  Choix ou non  de  New oliq               
+new_oliq=y
+#
+rei_min=20.
+rei_max=61.29
+#
+#t_glace_min=258.
+#t_glace_max=273.13
+#
+# Flags Convection 
+#*****************
+#flag  pour la convection (D:2, 1:LMD, 2:Tiedtke, 3:KE nouvelle physique, 30:KE IPCC)
+iflag_con=3
+#niveau de sorties des diagnos sur la conservation energie
+if_ebil=0
+#efficacite de precepitation maxim (D:.993)
+epmax=0.97
+#ajustement convectif sec au debut de la convection (D: n 0)
+ok_adj_ema=n
+iflag_clw=0
+#fermeture convective (D:1, 0:AR4, 2:ALE and ALP)
+iflag_clos=2
+#loi de melange a l entrainement  (D:1, 0:AR4=PDF plate, 1=PDF)
+iflag_mix=1
+#poids des PDFs plate et en cloche (D: 1 0)
+qqa1=1.
+qqa2=0.
+# Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+#
+Fmax=0.65
+#
+# Flags Couche limite
+#********************
+#shema de CL des thermiques (D:0, 0:ajustement sec,=>1:versions thermiques) 
+iflag_thermals=18
+#pas de temps du spliting pour les thermiques
+nsplit_thermals=1
+tau_thermals=0.
+iflag_thermals_ed=8
+iflag_thermals_optflux=0
+#shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=11
+#diffusion turbulente
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
+#couplage ou non avec la convection
+iflag_coupl=5 (0:AR4 et 1:nouvelle physique)
+seuil_inversion=-0.08
+#rendement sur la puissance fournie par les thermiques a la convection
+alp_bl_k=0.5
+#
+iflag_fisrt_qsat=3
+iflag_thermals_closure=1
+#
+# Flags wakes
+#************
+#activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
+iflag_wake=1
+alp_offset=0.
+
+### nrlmd le 10/04/2012: Declenchement ###
+#Déclelenchement par couche-limite (0: deterministe, 1: stochastique)
+iflag_trig_bl=2
+#Surface critique au LCL
+s_trig=1.2e7
+#Temps de decorrelation entre scenes de cumulus
+tau_trig_shallow=1200
+#Temps de decorrelation entre scenes de cumulonimbus
+tau_trig_deep=1200
+### fin nrlmd le 10/04/2012
+
+### nrlmd le 10/04/2012: Fermeture ###
+#Fermeture par couche-limite (0: deterministe, 1: statistique, 2: statistique+convergence grande échelle)
+iflag_clos_bl=1
+### fin nrlmd le 10/04/2012
+
+dsigmin=0.125
+
+t_glace_min=240.
+t_glace_max=273.13
+exposant_glace=1.7
+iflag_t_glace=1