Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2267)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2270)
@@ -50,6 +50,6 @@
 
 [InitialStateFiles]
-List= (${R_INIT}/ATM/LMDZ/LMD${RESOL_ATM_3D}/start/with_o2a/start.nc, . ), \
-      (${R_INIT}/ATM/LMDZ/LMD${RESOL_ATM_3D}/start/with_o2a/startphy.nc, . )
+List= (${R_INIT}/ATM/LMDZ/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}x${RESOL_ATM}/start.nc, . ), \
+      (${R_INIT}/ATM/LMDZ/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}x${RESOL_ATM}/startphy.nc, . )
 
 [BoundaryFiles]
@@ -78,6 +78,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def)
-#List=   (lmdz.x.prt)
+List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, config.def, used_run.def, debug.01)
 
 [OutputFiles]
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/oasis.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/oasis.card	(revision 2267)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/oasis.card	(revision 2270)
@@ -31,32 +31,32 @@
 
 [OutputText]
-List=   (namcouple, lucia, oasis_balance.eps)
+List=   (namcouple, nout.000000, lucia, oasis_balance.eps)
 
 [OutputFiles]
-List=   (SISUTESW_lmdz.x_01.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SISUTESW.nc,    Post_ncks_ncra),\
-    (SIICECOV_lmdz.x_02.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICECOV.nc,    Post_ncks_ncra),\
-    (SIICTEMW_lmdz.x_03.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICTEMW.nc,    Post_ncks_ncra),\
-    (SIICEALW_lmdz.x_04.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICEALW.nc,    Post_ncks_ncra),\
-    (CURRENTX_lmdz.x_05.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTX.nc,    Post_ncks_ncra),\
-    (CURRENTY_lmdz.x_06.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTY.nc,    Post_ncks_ncra),\
-    (CURRENTZ_lmdz.x_07.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTZ.nc,    Post_ncks_ncra),\
-    (COTAUXXU_lmdz.x_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXU.nc,    Post_ncks_ncra),\
-    (COTAUYYU_lmdz.x_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYU.nc,    Post_ncks_ncra),\
-    (COTAUZZU_lmdz.x_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZU.nc,    Post_ncks_ncra),\
-    (COTAUXXV_lmdz.x_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXV.nc,    Post_ncks_ncra),\
-    (COTAUYYV_lmdz.x_12.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYV.nc,    Post_ncks_ncra),\
-    (COTAUZZV_lmdz.x_13.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZV.nc,    Post_ncks_ncra),\
-    (COWINDSP_lmdz.x_14.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COWINDSP.nc,    Post_ncks_ncra),\
-    (COTOTRAI_lmdz.x_15.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTRAI.nc,    Post_ncks_ncra),\
-    (COTOTSNO_lmdz.x_16.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTSNO.nc,    Post_ncks_ncra),\
-    (COTOTEVA_lmdz.x_17.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTEVA.nc,    Post_ncks_ncra),\
-    (COICEVAP_lmdz.x_18.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COICEVAP.nc,    Post_ncks_ncra),\
-    (COQSRMIX_lmdz.x_19.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQSRMIX.nc,    Post_ncks_ncra),\
-    (COQNSMIX_lmdz.x_20.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQNSMIX.nc,    Post_ncks_ncra),\
-    (COSHFICE_lmdz.x_21.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSHFICE.nc,    Post_ncks_ncra),\
-    (CONSFICE_lmdz.x_22.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFICE.nc,    Post_ncks_ncra),\
-    (CODFLXDT_lmdz.x_23.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CODFLXDT.nc,    Post_ncks_ncra),\
-    (COCALVIN_lmdz.x_24.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COCALVIN.nc,    Post_ncks_ncra),\
-    (COLIQRUN_lmdz.x_25.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COLIQRUN.nc,    Post_ncks_ncra),\
+List=   (SISUTESW_LMDZ_01.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SISUTESW.nc,    Post_ncks_ncra),\
+    (SIICECOV_LMDZ_02.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICECOV.nc,    Post_ncks_ncra),\
+    (SIICTEMW_LMDZ_03.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICTEMW.nc,    Post_ncks_ncra),\
+    (SIICEALW_LMDZ_04.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICEALW.nc,    Post_ncks_ncra),\
+    (CURRENTX_LMDZ_05.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTX.nc,    Post_ncks_ncra),\
+    (CURRENTY_LMDZ_06.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTY.nc,    Post_ncks_ncra),\
+    (CURRENTZ_LMDZ_07.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTZ.nc,    Post_ncks_ncra),\
+    (COTAUXXU_LMDZ_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXU.nc,    Post_ncks_ncra),\
+    (COTAUYYU_LMDZ_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYU.nc,    Post_ncks_ncra),\
+    (COTAUZZU_LMDZ_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZU.nc,    Post_ncks_ncra),\
+    (COTAUXXV_LMDZ_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXV.nc,    Post_ncks_ncra),\
+    (COTAUYYV_LMDZ_12.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYV.nc,    Post_ncks_ncra),\
+    (COTAUZZV_LMDZ_13.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZV.nc,    Post_ncks_ncra),\
+    (COWINDSP_LMDZ_14.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COWINDSP.nc,    Post_ncks_ncra),\
+    (COTOTRAI_LMDZ_15.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTRAI.nc,    Post_ncks_ncra),\
+    (COTOTSNO_LMDZ_16.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTSNO.nc,    Post_ncks_ncra),\
+    (COTOTEVA_LMDZ_17.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTEVA.nc,    Post_ncks_ncra),\
+    (COICEVAP_LMDZ_18.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COICEVAP.nc,    Post_ncks_ncra),\
+    (COQSRMIX_LMDZ_19.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQSRMIX.nc,    Post_ncks_ncra),\
+    (COQNSMIX_LMDZ_20.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQNSMIX.nc,    Post_ncks_ncra),\
+    (COSHFICE_LMDZ_21.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSHFICE.nc,    Post_ncks_ncra),\
+    (CONSFICE_LMDZ_22.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFICE.nc,    Post_ncks_ncra),\
+    (CODFLXDT_LMDZ_23.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CODFLXDT.nc,    Post_ncks_ncra),\
+    (COCALVIN_LMDZ_24.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COCALVIN.nc,    Post_ncks_ncra),\
+    (COLIQRUN_LMDZ_25.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COLIQRUN.nc,    Post_ncks_ncra),\
     (O_SSTSST_oceanx_01.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_SSTSST.nc,    Post_ncks_ncra),\
     (OIceFrc_oceanx_02.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceFrac.nc,    Post_ncks_ncra),\
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2267)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2270)
@@ -35,8 +35,8 @@
 List=	(${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_ref, namelist_ref),      \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg, namelist_cfg),      \
-        (${SUBMIT_DIR}/PARAM/iodef.xml,                 iodef.xml),         \
-        (${SUBMIT_DIR}/PARAM/field_def.xml,             field_def.xml),     \
-        (${SUBMIT_DIR}/PARAM/domain_def.xml,            domain_def.xml),    \
-        (${SUBMIT_DIR}/PARAM/xmlio_server.def,          xmlio_server.def)
+        (${SUBMIT_DIR}/PARAM/iodef.xml,                    iodef.xml),      \
+        (${SUBMIT_DIR}/PARAM/context_nemo.xml,      context_nemo.xml),      \
+        (${SUBMIT_DIR}/PARAM/field_def_nemo.xml,   field_def_nemo.xml),     \
+        (${SUBMIT_DIR}/PARAM/domain_def_nemo.xml,  domain_def_nemo.xml)
 
 [RestartFiles]
@@ -44,6 +44,5 @@
 
 [OutputText]
-List=   (ocean.output, solver.stat, namelist, iodef.xml, field_def.xml, domain_def.xml, xmlio_server.def, out_opa.xx.out, out_opa.xx.err)
-#List=   (ocean.output, oceanx.prt, solver.stat)
+List=   (ocean.output, solver.stat, namelist, context_nemo.xml, field_def_nemo.xml, domain_def_nemo.xml, debug.02, out_opa.xx.out, out_opa.xx.err)
 
 [OutputFiles]