Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 2274)
+++ modipsl/trunk/util/mod.def	(revision 2278)
@@ -51,5 +51,5 @@
 #-H- libIGCM  libIGCM latest tagged version 
 #-M- libIGCM  Sebastien.Denvil@ipsl.jussieu.fr
-#-C- libIGCM  tags/libIGCM_v2.2    HEAD  10 libIGCM    .
+#-C- libIGCM  tags/libIGCM_v2.3    HEAD  10 libIGCM    .
 
  
@@ -67,5 +67,5 @@
 #-H- IPSLCM5_v5  OASIS3 rev 2040 trunk
 #-H- IPSLCM5_v5  IPSLCM5_v5 svn 
-#-H- IPSLCM5_v5  libIGCM tag libIGCM_v2.2
+#-H- IPSLCM5_v5  libIGCM tag libIGCM_v2.3
 #-M- IPSLCM5_v5  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5_v5  IOIPSL/tags/v2_2_2/src        HEAD         8  IOIPSL/src     modeles
@@ -74,5 +74,5 @@
 #-C- IPSLCM5_v5  LMDZ5/trunk                   2076        11  LMDZ           modeles
 #-C- IPSLCM5_v5  CONFIG/UNIFORM/v5/IPSLCM5_v5  HEAD         8  IPSLCM5_v5     config
-#-C- IPSLCM5_v5  tags/libIGCM_v2.2             HEAD        10  libIGCM        .
+#-C- IPSLCM5_v5  tags/libIGCM_v2.3             HEAD        10  libIGCM        .
 #-C- IPSLCM5_v5  branches/CMIP5_IPSL/NEMO      3205         7  .              modeles
 #-C- IPSLCM5_v5  branches/CMIP5_IPSL/UTIL      3405         7  .              modeles
@@ -90,5 +90,5 @@
 #-H- IPSLCM6_rc0  OASIS3-MCT 2.0_branch rev 911
 #-H- IPSLCM6_rc0  IPSLCM6 svn
-#-H- IPSLCM6_rc0  libIGCM trunk revision 1006
+#-H- IPSLCM6_rc0  libIGCM tag libIGCM_v2.3
 #-M- IPSLCM6_rc0  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6_rc0  IOIPSL/tags/v2_2_2/src                    HEAD         8  IOIPSL/src     modeles
@@ -97,5 +97,5 @@
 #-C- IPSLCM6_rc0  LMDZ5/trunk                               2076        11  LMDZ           modeles
 #-C- IPSLCM6_rc0  CONFIG/UNIFORM/v6/IPSLCM6                 HEAD         8  IPSLCM6        config
-#-C- IPSLCM6_rc0  trunk/libIGCM                             1006        10  libIGCM        .
+#-C- IPSLCM6_rc0  tags/libIGCM_v2.3                         HEAD        10  libIGCM        .
 #-C- IPSLCM6_rc0  trunk/NEMOGCM                             4624         7  .              modeles
 #-C- IPSLCM6_rc0  XIOS/trunk                                 483        12  XIOS           modeles
@@ -113,5 +113,5 @@
 #-H- IPSLCM5A  OASIS3 rev 2040 trunk
 #-H- IPSLCM5A  IPSLCM5A svn 
-#-H- IPSLCM5A  libIGCM tag libIGCM_v2.2
+#-H- IPSLCM5A  libIGCM tag libIGCM_v2.3
 #-M- IPSLCM5A  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
@@ -120,5 +120,5 @@
 #-C- IPSLCM5A  LMDZ4/branches/LMDZ4_AR5/     2063        11  LMDZ4      modeles
 #-C- IPSLCM5A  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A   config
-#-C- IPSLCM5A  tags/libIGCM_v2.2             HEAD        10  libIGCM    .
+#-C- IPSLCM5A  tags/libIGCM_v2.3             HEAD        10  libIGCM    .
 #-C- IPSLCM5A  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
 #-C- IPSLCM5A  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
@@ -137,5 +137,5 @@
 #-H- IPSLCM5B  OASIS3 rev 2040 trunk
 #-H- IPSLCM5B  IPSLCM5B svn 
-#-H- IPSLCM5B  libIGCM tag libIGCM_v2.2
+#-H- IPSLCM5B  libIGCM tag libIGCM_v2.3
 #-M- IPSLCM5B  laurent.fairhead@lmd.jussieu.fr
 #-C- IPSLCM5B  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
@@ -144,5 +144,5 @@
 #-C- IPSLCM5B  LMDZ5/branches/LMDZ5_AR5      1730        11  LMDZ5      modeles
 #-C- IPSLCM5B  CONFIG/IPSLCM/IPSLCM5B        HEAD         8  IPSLCM5B   config
-#-C- IPSLCM5B  tags/libIGCM_v2.2             HEAD        10  libIGCM    .
+#-C- IPSLCM5B  tags/libIGCM_v2.3             HEAD        10  libIGCM    .
 #-C- IPSLCM5B  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
 #-C- IPSLCM5B  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
@@ -160,5 +160,5 @@
 #-H- IPSLCM5A_C  OASIS3 rev 2040 trunk
 #-H- IPSLCM5A_C  IPSLCM5A svn 
-#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2.2
+#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2.3
 #-M- IPSLCM5A_C  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A_C  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
@@ -167,5 +167,5 @@
 #-C- IPSLCM5A_C  LMDZ4/branches/LMDZ4_AR5/     1743        11  LMDZ4      modeles
 #-C- IPSLCM5A_C  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A_C config
-#-C- IPSLCM5A_C  tags/libIGCM_v2.2             HEAD        10  libIGCM    .
+#-C- IPSLCM5A_C  tags/libIGCM_v2.3             HEAD        10  libIGCM    .
 #-C- IPSLCM5A_C  branches/CMIP5_IPSL/NEMO      2763         7  .          modeles
 #-C- IPSLCM5A_C  branches/CMIP5_IPSL/UTIL      2763         7  .          modeles
@@ -207,5 +207,5 @@
 #-C- LMDZOR_v6  CONFIG/UNIFORM/v6/LMDZOR_v6        HEAD    8    LMDZOR_v6    config
 #-C- LMDZOR_v6  trunk/ORCHIDEE_OL                  HEAD    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6  tags/libIGCM_v2.2                  HEAD    10   libIGCM      .
+#-C- LMDZOR_v6  tags/libIGCM_v2.3                  HEAD    10   libIGCM      .
 
 
@@ -217,5 +217,5 @@
 #-C- LMDZOR_v5  LMDZ5/trunk                           1729               11 LMDZ       modeles
 #-C- LMDZOR_v5  CONFIG/UNIFORM/v5/LMDZOR_v5           HEAD               8  LMDZOR_v5  config
-#-C- LMDZOR_v5  tags/libIGCM_v2.2                     HEAD               10 libIGCM    .
+#-C- LMDZOR_v5  tags/libIGCM_v2.3                     HEAD               10 libIGCM    .
 
 
@@ -229,5 +229,5 @@
 #-C- LMDZOR_v5.2  CONFIG/UNIFORM/v5/LMDZOR_v5.2       HEAD               8  LMDZOR_v5.2 config
 #-C- LMDZOR_v5.2  trunk/ORCHIDEE_OL                   HEAD		 14 ORCHIDEE_OL config
-#-C- LMDZOR_v5.2  tags/libIGCM_v2.2                   HEAD               10 libIGCM     .
+#-C- LMDZOR_v5.2  tags/libIGCM_v2.3                   HEAD               10 libIGCM     .
 
 #-H- LMDZOR_v4  LMDZ and ORCHIDEE (closest version to IPSLCM5A)
@@ -239,5 +239,5 @@
 ##-C- LMDZOR_v4 LMDZ4/branches/LMDZ4_AR5          HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
-#-C- LMDZOR_v4  tags/libIGCM_v2.2                 HEAD               10 libIGCM    .
+#-C- LMDZOR_v4  tags/libIGCM_v2.3                 HEAD               10 libIGCM    .
 
 #---- Configuraion with only LMDZ
@@ -248,5 +248,5 @@
 #-C- LMDZ_v5  LMDZ5/trunk                         1729               11 LMDZ       modeles
 #-C- LMDZ_v5  CONFIG/UNIFORM/v5/LMDZ_v5           HEAD               8  LMDZ_v5    config
-#-C- LMDZ_v5  tags/libIGCM_v2.2                   HEAD               10 libIGCM    .
+#-C- LMDZ_v5  tags/libIGCM_v2.3                   HEAD               10 libIGCM    .
 
 
@@ -259,5 +259,5 @@
 #-H- LMDZORINCA  LMDZ5 (CREATE_E0) for ce0l LMDZ5/trunk 1729	
 #-H- LMDZORINCA  IOIPSL/src svn tags/v2_2_1
-#-H- LMDZORINCA  libIGCM tag libIGCM_v2.2
+#-H- LMDZORINCA  libIGCM tag libIGCM_v2.3
 #-M- LMDZORINCA  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA  IOIPSL/tags/v2_2_1/src			HEAD			8	IOIPSL/src	modeles
@@ -266,5 +266,5 @@
 #-C- LMDZORINCA  LMDZ4/branches/LMDZ4_AR5/     		1567   			11	LMDZ		modeles
 #-C- LMDZORINCA  trunk/INCA3				255			9	INCA3		modeles
-#-C- LMDZORINCA  tags/libIGCM_v2.2      		HEAD			10	libIGCM		.
+#-C- LMDZORINCA  tags/libIGCM_v2.3      		HEAD			10	libIGCM		.
 #-C- LMDZORINCA  CONFIG/LMDZORINCA/tags/LMDZORINCA_v2	HEAD			8	LMDZORINCA	config
 
@@ -275,5 +275,5 @@
 #-H- LMDZORINCA_v5  LMDZ5 LMDZ5/trunk rev 1729
 #-H- LMDZORINCA_v5  IOIPSL/src svn tags/v2_2_2
-#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.2
+#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.3
 #-M- LMDZORINCA_v5  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA_v5  IOIPSL/tags/v2_2_2/src		HEAD			8	IOIPSL/src	modeles
@@ -281,5 +281,5 @@
 #-C- LMDZORINCA_v5  LMDZ5/trunk				1729			11 	LMDZ		modeles
 #-C- LMDZORINCA_v5  tags/INCA4.1.2			HEAD			9	INCA		modeles
-#-C- LMDZORINCA_v5  tags/libIGCM_v2.2    		HEAD			10	libIGCM		.
+#-C- LMDZORINCA_v5  tags/libIGCM_v2.3    		HEAD			10	libIGCM		.
 #-C- LMDZORINCA_v5  CONFIG/UNIFORM/v5/LMDZORINCA_v5	HEAD			8	LMDZORINCA_v5	config
 
@@ -297,5 +297,5 @@
 #-H- IPSLCM5CHT_v5  OASIS3 rev 1996 trunk
 #-H- IPSLCM5CHT_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.2
+#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.3
 #-M- IPSLCM5CHT_v5  anne.cozic@lsce.ipsl.fr
 #-C- IPSLCM5CHT_v5  IOIPSL/tags/v2_2_2/src		HEAD	8	IOIPSL/src	modeles
@@ -304,5 +304,5 @@
 #-C- IPSLCM5CHT_v5  LMDZ5/trunk				1729	11	LMDZ		modeles
 #-C- IPSLCM5CHT_v5  CONFIG/UNIFORM/v5/IPSLCM5CHT_v5	HEAD	8	IPSLCM5CHT_v5	config
-#-C- IPSLCM5CHT_v5  tags/libIGCM_v2.2	    		HEAD	10	libIGCM		.
+#-C- IPSLCM5CHT_v5  tags/libIGCM_v2.3	    		HEAD	10	libIGCM		.
 #-C- IPSLCM5CHT_v5  branches/CMIP5_IPSL/NEMO		3205	7	.		modeles
 #-C- IPSLCM5CHT_v5  branches/CMIP5_IPSL/UTIL		3405	7	.		modeles
@@ -320,5 +320,5 @@
 #-C- LMDZREPR_v5  trunk                                HEAD               16 REPROBUS    modeles
 #-C- LMDZREPR_v5  CONFIG/UNIFORM/v5/LMDZREPR_v5        HEAD               8  LMDZREPR_v5 config
-#-C- LMDZREPR_v5  tags/libIGCM_v2.2                    HEAD               10 libIGCM     .
+#-C- LMDZREPR_v5  tags/libIGCM_v2.3                    HEAD               10 libIGCM     .
 
 
@@ -335,5 +335,5 @@
 #-H- IPSLCM5CHS_v5  OASIS3 rev 1996 trunk
 #-H- IPSLCM5CHS_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.2
+#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.3
 #-M- IPSLCM5CHS_v5  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5CHS_v5  IOIPSL/tags/v2_2_2/src          HEAD         8  IOIPSL/src     modeles
@@ -342,5 +342,5 @@
 #-C- IPSLCM5CHS_v5  LMDZ5/trunk                     1729        11  LMDZ           modeles
 #-C- IPSLCM5CHS_v5  CONFIG/UNIFORM/v5/IPSLCM5CHS_v5 HEAD         8  IPSLCM5CHS_v5  config
-#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.2               HEAD        10  libIGCM        .
+#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.3               HEAD        10  libIGCM        .
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/NEMO        3205         7  .              modeles
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/UTIL        3405         7  .              modeles
@@ -355,8 +355,8 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.2
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.2
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.3
 #-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_2/src			   HEAD        8  IOIPSL/src			modeles
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.2    		       	   HEAD       10  libIGCM         		.
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.3    		       	   HEAD       10  libIGCM         		.
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 HEAD       14  ORCHIDEE			modeles
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE_OL              HEAD       14  ORCHIDEE_OL			modeles
@@ -371,8 +371,8 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_6
 #-H- ORCHIDEE_TAG IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.2
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.3
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/tags/v2_2_2/src	               HEAD        8 IOIPSL/src			modeles
-#-C- ORCHIDEE_TAG tags/libIGCM_v2.2          		       HEAD       10 libIGCM			.
+#-C- ORCHIDEE_TAG tags/libIGCM_v2.3          		       HEAD       10 libIGCM			.
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE                 HEAD       14 ORCHIDEE			modeles
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL              HEAD       14 ORCHIDEE_OL		modeles
@@ -390,8 +390,8 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL tag v2.2.2
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.2
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.3
 #-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_2/src                   HEAD    8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.2                        HEAD   10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.3                        HEAD   10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       14 .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL              ?       14 .
@@ -409,8 +409,8 @@
 #-H- ORCHIDEE_trunk  ORCHIDEE trunk HEAD (possible to be use with rev 1042 or later)
 #-H- ORCHIDEE_trunk  IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_trunk  libIGCM tag v2.2 
+#-H- ORCHIDEE_trunk  libIGCM tag v2.3 
 #-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_2/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_trunk  tags/libIGCM_v2.2                        HEAD    10 libIGCM            .
+#-C- ORCHIDEE_trunk  tags/libIGCM_v2.3                        HEAD    10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
@@ -427,5 +427,5 @@
 #-H- NEMO  XMLF90 svn trunk revision 420
 #-H- NEMO  XMLIO_SERVER svn trunk revision 420
-#-H- NEMO  libIGCM tag libIGCM_v2.2
+#-H- NEMO  libIGCM tag libIGCM_v2.3
 #-M- NEMO  nemo_st@locean-ipsl.upmc.fr
 #-C- NEMO  IOIPSL/tags/v2_2_1/src                             HEAD  8  IOIPSL/src             modeles
@@ -434,5 +434,5 @@
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLF90                HEAD  7  XMLF90/external        modeles
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLIO_SERVER          HEAD  7  XMLIO_SERVER/external  modeles
-#-C- NEMO  tags/libIGCM_v2.2                                  HEAD  10 libIGCM                .
+#-C- NEMO  tags/libIGCM_v2.3                                  HEAD  10 libIGCM                .
 #-C- NEMO  branches/CMIP5_IPSL/AGRIF                          HEAD  7  .                      modeles
 #-C- NEMO  branches/CMIP5_IPSL/NEMO                           HEAD  7  .                      modeles
@@ -451,7 +451,7 @@
 
 #-H- NEMOGCM  NEMOGCM  in forced mode   version since v3.4  Compilation using FCM
-#-H- NEMOGCM  libIGCM tag libIGCM_v2.2
+#-H- NEMOGCM  libIGCM tag libIGCM_v2.3
 #-M- NEMOGCM  Christian.Ethe@ipsl.jussieu.fr
-#-C- NEMOGCM  tags/libIGCM_v2.2                                                          HEAD  10 libIGCM                 .
+#-C- NEMOGCM  tags/libIGCM_v2.3                                                          HEAD  10 libIGCM                 .
 #-C- NEMOGCM  branches/2012/dev_v3_4_STABLE_2012/NEMOGCM                                 HEAD  7  .                       modeles
 #-C- NEMOGCM  branches/2012/dev_v3_4_STABLE_2012/NEMOGCM/CONFIG/ORCA2_LIM/IGCM00         HEAD  7  ORCA2_LIM/IGCM00        config