Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim2.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim2.card	(revision 2283)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim2.card	(revision 2284)
@@ -30,5 +30,5 @@
 [Post_1M_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (bmelt, evap, grLateral, ialb, ice_pres, iicetemp, iicethic, iicevelu, iicevelv, ileadfra, isnowthi, prsn, rsdssi, sblsi, sim, snoToIce, snomelt, soicecov, strairx, strairy, tmelt, transifs, transix, transiy, tsice)
 ChunckJob2D = NONE
@@ -39,5 +39,5 @@
 [Post_1D_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (iicethic, iicevelu, iicevelv, ileadfra)
 ChunckJob2D = 200Y
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2283)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2284)
@@ -30,5 +30,5 @@
 [Post_1M_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (bmelt, evap, grLateral, ialb, ice_pres, iicetemp, iicethic, iicevelu, iicevelv, ileadfra, isnowthi, prsn, rsdssi, sblsi, sim, snoToIce, snomelt, soicecov, strairx, strairy, tmelt, transifs, transix, transiy, tsice)
 ChunckJob2D = NONE
@@ -39,5 +39,5 @@
 [Post_1D_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (iicethic, iicevelu, iicevelv, ileadfra)
 ChunckJob2D = 200Y
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2283)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lmdz.card	(revision 2284)
@@ -7,4 +7,5 @@
 # LMDZ_Physics=NPv3.1 for new physics, to be used with LMDZ5/trunk revision 1554 or later
 LMDZ_Physics=AP
+#LMDZ_Physics=NPv4.12
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes. 
@@ -29,8 +30,9 @@
 # Number of periods where to set parameter adjust=y before switching to adjust=n
 # For adjust=n, set LMDZ_NbPeriod_ajust=0. 
-LMDZ_NbPeriod_adjust=3
+LMDZ_NbPeriod_adjust=0
 
 # To force usage of specific Bands file, set LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart experiment
 # LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/pdControl/XXXXXX/ATM/Debug/pdControl_XXXXXXX_Bands_96x95x19_3prc.dat_3
+#LMDZ_Bands_file_name=/ccc/cont003/home/dsm/p86mart/Bands_144x142x39_40prc.dat_3
 
 # Set OutLevel to choose the level of output files from LMDZ. The file PARAM/output.def_$OutLevel will be used.
@@ -50,5 +52,5 @@
 
 [InitialStateFiles]
-List= (${R_INIT}/ATM/LMDZ/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}xLMD${RESOL_ATM_3D}/start.nc     , . ), \
+List=  (${R_INIT}/ATM/LMDZ/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}xLMD${RESOL_ATM_3D}/start.nc    , . ), \
        (${R_INIT}/ATM/LMDZ/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}xLMD${RESOL_ATM_3D}/startphy.nc , . )
 
@@ -92,6 +94,5 @@
 	(histhfCOSP.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,    Post_HF_histhfCOSP),    \
 	(histhfNMC.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,     Post_HF_histhfNMC),     \
-	(histhf3h.nc,      ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,      Post_3H_histhf3h),      \
-        (histhf3hm.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,     Post_3H_histhf3hm)
+	(histhf3h.nc,      ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,      Post_3H_histhf3h) 
 
 [Post_1M_histmth]
@@ -100,5 +101,5 @@
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl, swtoaas_ant, swtoacs_ant, swtoacf_ant, swsrfas_ant, swsrfcs_ant, swsrfcf_ant, swtoaas_nat, swtoacs_nat, swtoacf_nat, swsrfas_nat, swsrfcs_nat, swsrfcf_nat, solswai, swtoacf_zero, swsrfcf_zero)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (upwd, lwcon, iwcon, lcc3dcon, lcc3dstra, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, mc, paprs, scdnc, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc, Aga, rlu, rsu, rld, rsd, rlucs, rsucs, rldcs, rsdcs, tnt, dtdyn, dtphy, dtlschr, tntr, tntc, tntscpbl, tnhus, dqdyn, tnhusc, dqvdf, tnhusscpbl, dqphy, evu, kz, mcd)
+TimeSeriesVars3D = (upwd, lwcon, iwcon, lcc3dcon, lcc3dstra, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, mc, paprs, scdnc, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc, rlu, rsu, rld, rsd, rlucs, rsucs, rldcs, rsdcs, tnt, dtdyn, dtphy, dtlschr, tntr, tntc, tntscpbl, tnhus, dqdyn, tnhusc, dqvdf, tnhusscpbl, dqphy, evu, kz, mcd)
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -106,5 +107,5 @@
 [Post_1M_histmthCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter)
 TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
 ChunckJob2D = OFF 
@@ -115,8 +116,8 @@
 [Post_1M_histmthNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, tro3, tro3_daylight)
+GatherWithInternal = (lon, lat, plev, time_counter)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -142,5 +143,5 @@
 [Post_1D_histday]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, pbase, ptop, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, snow, LWdnSFC, LWdnSFCclr, SWdnSFC, SWdnSFCclr, SWdnTOA, LWupSFCclr, SWupSFC, SWupSFCclr, SWupTOA, SWupTOAclr, t2m, t2m_max, t2m_min, topl, topl0, tops, tsol, t700, u10m, v10m, wind10m, wind10max, w500)
 ChunckJob2D = 50Y
@@ -151,5 +152,5 @@
 [Post_1D_histdayCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter)
 TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
 ChunckJob2D = OFF
@@ -160,5 +161,5 @@
 [Post_1D_histdayNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -169,7 +170,6 @@
 [Post_HF_histhf]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m)
-ChunckJob2D = 50Y
+GatherWithInternal = (lon, lat, presnivs, time_counter)
+TimeSeriesVars2D = (cldt, psol, q2m, slp, precip, pluc, plul, t2m, tsol, u10m, v10m)ChunckJob2D = 50Y
 TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
 ChunckJob3D = OFF
@@ -178,5 +178,5 @@
 [Post_HF_histhfCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, height, sza, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, height, sza, time_counter)
 TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso)
 ChunckJob2D = OFF
@@ -187,5 +187,5 @@
 [Post_HF_histhfNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -203,10 +203,2 @@
 Seasonal=OFF
 
-[Post_3H_histhf3hm]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, SWupSFCclr, cldt)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2283)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2284)
@@ -61,5 +61,4 @@
         (${config_UserChoices_JobName}_1d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc, Post_1D_grid_U),\
         (${config_UserChoices_JobName}_1d_grid_V.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_V.nc, Post_1D_grid_V),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_diaptr.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diaptr.nc, Post_1M_diaptr),\
         (damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc, NONE),\
         (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE),\
@@ -70,5 +69,5 @@
 [Post_1M_scalar]
 Patches = ()
-GatherWithInternal = (time_average_1mo)
+GatherWithInternal = (time_counter)
 TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
 ChunckJob2D = NONE
@@ -79,8 +78,8 @@
 [Post_1M_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
-TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (rhopoto, rsds, thkcello, vosaline,votemper)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars2D = (sohefldo, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sowaflup, sowindsp)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (thkcello, vosaline,votemper)
 ChunckJob3D = 50Y
 Seasonal=ON
@@ -88,8 +87,8 @@
 [Post_1M_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
-TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (umo, vozocrtx,vozoeivu)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars2D = (sozotaux)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (vozocrtx,vozoeivu)
 ChunckJob3D = 50Y
 Seasonal=ON
@@ -97,8 +96,8 @@
 [Post_1M_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
-TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (vmo, vomecrty, vomeeivv)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars2D = (sometauy)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (vomecrty, vomeeivv)
 ChunckJob3D = 50Y
 Seasonal=ON
@@ -106,5 +105,5 @@
 [Post_1M_grid_W]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -115,5 +114,5 @@
 [Post_1M_diaptr]
 Patches = ()
-GatherWithInternal = (nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lat, time_counter)
 TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
 ChunckJob2D = NONE
@@ -126,5 +125,5 @@
 [Post_1D_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1d)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (omldamax, sosstsst, tossq)
 ChunckJob2D = 200Y
@@ -135,5 +134,5 @@
 [Post_1D_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1d)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -144,5 +143,5 @@
 [Post_1D_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1d)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -155,5 +154,5 @@
 [Post_1Y_scalar]
 Patches = ()
-GatherWithInternal = (time_counter, time_average_1y)
+GatherWithInternal = (time_counter, time_counter)
 TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
 ChunckJob2D = NONE
@@ -164,5 +163,5 @@
 [Post_1Y_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
 ChunckJob2D = NONE
@@ -173,5 +172,5 @@
 [Post_1Y_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
 ChunckJob2D = NONE
@@ -182,5 +181,5 @@
 [Post_1Y_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
 ChunckJob2D = NONE
@@ -191,5 +190,5 @@
 [Post_1Y_grid_W]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -200,5 +199,5 @@
 [Post_1Y_diaptr]
 Patches = ()
-GatherWithInternal = (nav_lat, time_average_1y)
+GatherWithInternal = (nav_lat, time_counter)
 TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
 ChunckJob2D = NONE
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2283)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2284)
@@ -47,5 +47,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -56,8 +56,8 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (Cflx, Dpco2, Dpo2, EPC100, EPCAL100, EPFE100, EPSI100, Heup, Irondep, Kg, Nfix, Oflx)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (CO3, CO3sat, DCAL, GRAZ, PAR, PBSi, PCAL, PFeD, PFeN, PH, PPNEWD, PPNEWN, PPPHY, PPPHY2)
+TimeSeriesVars3D = ( )
 ChunckJob3D = 50Y
 Seasonal=ON
@@ -65,5 +65,5 @@
 [Post_1M_dbio_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
 TimeSeriesVars2D = (INTDIC, INTNFIX, INTPBFE, INTPBSI, INTPCAL, INTPNEW, INTPP, INTPPPHY, INTPPPHY2, O2MIN, ZO2MIN )
 ChunckJob2D = NONE